window.onload = function () {
		// 在页面加载完成后执行
		// 执行你的代码
		const currentDate = gemhoUtil.getTargetDateYM();
				new Vue({
					el: '#app',
					data() {
						return {
							pageType: 'ZF',
							showPopup4completionDate: false,
							// 控制日期选择器弹窗的显示与隐藏
							showPicker: false,
							// 存储选择的日期
							selectedDate: currentDate, // '', // gemhoUtil.formatDate(new Date(value)),
							// 日期选择的最小范围，这里设置为当前日期的前 10 年
							minDate: new Date(new Date().getFullYear() - 10, 0),
							// 日期选择的最大范围，这里设置为当前日期的后 10 年
							maxDate: new Date(new Date().getFullYear() + 10, 11),
							checkModules: [{
									intro: '提交检查反馈'
								},
								{
									intro: '查看检查历史记录'
								},
								{
									intro: '提交检查反馈'
								},
								{
									intro: '下载检查报告'
								},
								{
									intro: '查看隐患详情'
								},
								{
									intro: '设置检查提醒'
								}
							]
						};
					},
					computed: {
						formattedDate() {
							// 检查原始日期是否存在
							console.log(this.selectedDate == null)
							if (this.selectedDate !== null) {
								// 使用 split 方法按 - 分割日期字符串
								const [year, month] = this.selectedDate.split('-');
								// 拼接成目标格式
								return `${year}月${month}日`;
							}
							return '';
						}
					},
					methods: {
						showPopup() {
							this['showPopup4completionDate'] = true
						},
						confirm4completionDate(value) {
							console.log('value', value)
							this.selectedDate = gemhoUtil.getTargetDateYMByPara(value)
							this.showPopup4completionDate = false
			
						},
						// 确认选择日期时的回调函数
						onConfirm(value) {
							// 使用 toLocaleDateString 方法将日期对象格式化为本地日期字符串
							this.selectedDate = value.toLocaleDateString();
							this.showPicker = false;
						},
						// 取消选择日期时的回调函数
						onCancel() {
							this.showPicker = false;
						}
					},
				});
		
	}		
		
